#
# spec file for package qtcurve-gtk2 (Version 0.68.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           qtcurve-gtk2
Version:        0.68.0
Release:        2.3.1
License:        GPLv2+
Summary:        QtCurve style for Gtk2
Url:            http://www.kde-look.org/content/show.php?content=40492
Group:          System/GUI/GNOME
Source0:        QtCurve-Gtk2-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM QtCurve-arraysize.patch bnc#529607 dimstar@opensuse.org -- Adjust array size
Patch0:         QtCurve-arraysize.patch
# PATCH-FIX-UPSTREAM QtCurve-disabled-editable.patch bnc#556124 vuntz@opensuse.org -- Taken from upstream
Patch1:         QtCurve-disabled-editable.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  kdelibs3
BuildRequires:  kdelibs4-core
Recommends:     qtcurve-kde
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the QtCurve style. QtCurve is available for both Gtk2+ and Qt3.

%prep
%setup -q -n QtCurve-Gtk2-%{version}
%patch0 -p1
%patch1 -p0

%build
mkdir build
cd build
cmake ..
%__make %{?jobs:-j %jobs}

%install
cd build
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/*
%dir %{_libdir}/gtk-2.0/*/engines
%{_libdir}/gtk-2.0/*/engines/libqtcurve.*
%{_datadir}/themes/QtCurve

%changelog
* Wed Jan  6 2010 vuntz@opensuse.org
- Add QtCurve-disabled-editable.patch to fix widgets that are
  disabled while editable. Fix bnc#556124.
* Wed Sep  2 2009 dimstar@opensuse.org
- bnc#529607 - qtcurve-gtk2-0.67.1-1.1: badly sized array
  Fixed with patch QtCurve-arraysize.patch.
* Thu Aug 27 2009 vuntz@novell.com
- Update to version 0.68.0:
  + New options:
  - Control whether icons are displayed in menus
  - Force alternate colours in listviews
  - Square selections in listviews
- Changes from version 0.67.5:
  + Use same shade for all menu item separators.
  + Fix clipping of non-V style right arrow.
  + Dont draw 3D border around poup menus when border has been
    disabled, but shading set to 0%%
  + Offset sunken slider thumbs to improve appearance.
* Fri Aug 14 2009 beineri@opensuse.org
- Update to version 0.67.4:
  + If drawing square scrollviews, give these a similar 3d effect
    to rounded ones.
  + Move menuitem arrows 2 pixels to the left, to match KDE4 better
  + Fix button of non-editable combos when not etching entries.
  + Fix spin buttons when not etching entries.
  + Only do mouse over for entries if combos & spin widgets are
    unified
  + If not etching/shadowing, when mouse over set to 'glow' use
    'thick coloured'
  + If not etching/shadowing, decrease thinner scrollbar groove.
  + Fix clipping of shaded button on combos when not etching/
    shadowing.
  + Remove hard-coding of light border in progressbars - use
    gradient setting.
  + Slightly better button metrics when not etching/shadowing.
* Mon Aug 10 2009 dominique-obs@leuenberger.net
- Update to version 0.67.3:
  + If a buttons requested size is not a multiple of 2, then shift
    the text 1 pixel lower.
  + Fix plastik style mouse over on scrollbars.
* Wed Aug  5 2009 vuntz@novell.com
- Update to version 0.67.2:
  + Fix text placement in pushbuttons.
  + Set the insensitive foreground colour to the disabled text
    colour, and not the mid colour. Fixes appearance of disabled
    items in Mozilla apps.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 0.67.1:
  + Adjust Agua overlay if widget is not max rounded.
  + Fix flat/sunken/dashed splitter handles!
  + Fix check/radio position in Thunderbird2 menus.
- Changes from version 0.67.0:
  + Add option to draw insider border of inactive tabs.
  + Add option to draw double arrows for non-editable combos.
  + Add option to colour the sorted listview header.
  + Disable scrollbar buttons when at min/max - to match spin
    buttons.
  + Place non-V arrows of unified spin widgets closer together.
  + Increase the amount of rounding when round set to max.
  + Match gradient width/height to KDE4.
  + Only selected tabs need to fade to 100%% alpha when using
    gradient backgrounds.
  + Fix entry borders of standard entry widgets in Mozilla apps.
    (The Mozilla widgets need a thinner border than the Gtk ones)
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.66.0:
  + Add a new 'Dark Inverted Gradient' and use this as the default
    gradient for menu stripes.
  + New 'Agua' style gradient - looks better under KDE4 and Gtk2.
  + Add option to lighten/darken the background of tabs.
  + Make inactive tabs more consistent with active tabs.
  + Remove sunken scroll views config item, and replace with option
    to control if entries and scroll views should be etched
    (sunken).
  + Modify defaults:
  - Scrollbars outside of scrollview (Gtk/oxygen style)
  - Thin scrollbar groove.
  + When using scrollbars outside of scrollview, reduce gap to 2
    pixels if sunken.
  + Set, and use, honors-transparent-bg-hint / transparent-bg-hint.
    Fixes corners of entry fields in Firefox 3.5
  + Remove userChrome.css settings if firefox executable name is
    firefox-3.5
- Changes from version 0.65.3:
  + When not using button-like check/radio boxes, use view text as
    the indicator colour.
  + Fix slight tab glitches when using glow tab mouse over and
    square tabs.
  + Fix background of some widgets when using "left to right"
    background gradients.
  + Fix backgrounds of entry field when etching, but not rounded.
  + Dont draw frame for entry fields within list/trees.
- Changes from version 0.65.2:
  + If there is not enough space for large arrows in FireFox's
    menuitems, use small ones.
  + Fix incorrect scrollbar trough border.
  + Better, non-hacky, fix for Firefox's location bar.
  + Make Firefox's entry fields smaller.
- Changes from version 0.65.1:
  + Use a border width of 1 if gradienting popupmenus.
  + When using darkened menu stripe use popupmenu background colour
    as the base colour.
  + Draw menu stripe flush with the edge of menu.
  + Match 'darken' menuStripe to KDE4.
  + When using menu stripe, adjust separators by 20 (2 for
    Mozilla/Oo.o) pixels left.
  + Increase width of menu stripe for Mozilla apps.
  + Draw menu stripe for menus associated with dialogs.
  + Match KDE4 button text position better.
  + Fix some issues with oxygen-style combo buttons. (QtCurve
    creates maps from the parent -> entry, and parent -> button -
    these maps were not being cleared when the widget was
    destroyed. Also, dont keep reference to last moused-overed
    entry after its unrealized).
  + Dont highlight background of checks/radios when this is not
    enabled, but gradient background is.
  + Disable background gradients for Java, Mozilla, OpenOffice,
    GIMP toolbox, and tooltip windows.
  + Improve background gradients when drawing parts of entries,
    etc.
  + Very hackish fix to the border around the icons within
    firefox's location and search entry fields. Disabled by
    default, to enable pass -DQTC_FIX_FIREFOX_LOCATION_BAR=true to
    cmake. Note that enabling this may cause issues with other
    entry fields in firefox.
  + Adjust position of checks and radios in menus.
  + Fix memory leak by calling parent class's fianlize method in
    QtCurve's.
- Changes from version 0.65.0:
  + Add options to draw editable combos, and spin widgets, as edit
    fields with embedded arrows - oxygen style.
  + Add option to draw a light border around tab widgets, as
    opposed to 3d look.
  + Added ability to specify scrollbar width (11 -> 31, default 15)
  + Base slider dimensions off of scrollbar width, unless using
    triangular slider.
  + Add option to have thinner buttons.
  + Add option to specify gradient for background of popupmenus.
  + Enable mouse-over for entry fields.
  + For mouse-over and focus, use same colour for top and bottom
    inner parts of entry fields.
  + When using filled/full focus with coloured mouse over, then
    mouse over takes precedence.
  + Alter default settings:
  - Place arrows of spin buttons, and editable combos, in the
    edit field.
  - Draw a light border around tab widget.
  - Thinner buttons.
  - Use soft gradient for active tab.
  - Use glow style highlight for tab mouse-over (this introduces
    gaps between tabs).
  + Re-add fix for icons on GEdit tabs - but only for GeditNotebook
    widgets.
  + Draw entry field backgrounds.
  + Dont use KDE4's disabled background colour.
  + Experimental support for menu-stripe. (Needs menu stipe also
    enabled in KDE GUI)
  + Enable drawing of list (tree) view lines.
  + Experimental support for drawing of background gradients.
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 0.64.2:
  + When using shaded combo buttons, use button colours for border.
  + Disable button order userChrome.css mods for Thunderbird>=3
  + Added a verbose warning about the usage of QTC_MODIFY_MOZILLA
  + Fix spin widget entry field when widget is on a notebook - bug
    was caused by fix for GEdit tabs.
  + Disable coloured slider hack for Firefox apps. This hack
    attempts to solve the miscolured top/bottom line of sliders
    when they are at the top/bottom.
* Sat Jun 13 2009 vuntz@novell.com
- Update to version 0.64.1:
  + When using shaded combo buttons, use the combo splitter setting
    to determine if there should be a border between the shaded and
    unshaded parts.
  + Make menubar items selectable right up to the top edge of the
    menubar.
  + Fix clipping of close icon on GEdit tabs.
* Thu Jun 11 2009 vuntz@novell.com
- Update to version 0.64.0:
  + Add option to not draw border around popupmenus.
  + Add option to unify spinbuttons.
  + Add option to set sub-menu delay (default 100ms)
  + Use equal top/bottom padding on popupmenu separators.
  + Add option to colour arrow part of combobox.
  + Draw resize grip as a darkend triangle.
  + Add a 'thick colored border' mouse over type.
  + Allow to darken sliders.
  + Add new default button indicator - darken.
  + Harmonize KDE4 & Gtk2 popupmenu overlaps.
  + Slightly changed min width/height of when buttons can be max
    rounded - fixes some issues with firefox.
  + Fix scrollbar background when using thinner grooves.
  + Under KDE4 (KDE_SESSION_VERSION>=4), default hover/focus
    colours to the KDE4 defaults.
  + Fix firefox crashing when scrollbar slider move to top. This
    only occurs when not using flat scrollbar buttons, and a
    coloured scrollbar slider.
  + Dont draw frame around GEdits combos in its status bar - unless
    drawStatusBarFrames is set to true.
  + Dont attempt alter OK/Cancel button for Firefox 3.5 - seems to
    mess up preferences dialog.
  + Replace QtCurve's menubar mouse-over code with that from the
    glide engine.
* Tue Jun  9 2009 vuntz@novell.com
- Update to version 0.63.0:
  + Add '3dfull' to gradient border options. This forces the dark,
    as well as the light, portion to be drawn.
  + Use a lighter shade for the dark portion of gradient border.
  + Flat dot for radio buttons.
  + Option to use button colour for listview headers.
  + Use KDE4 colors for focus and mouse-over.
  + Removal of background focus option.
  + Softer, and much nicer, colouration of selected tab.
  + Tab mouse over options; top (as before), below, or glow.
  + Modified defaults:
  - Tab mouse-over highlight drawn at the bottom
  - Plain slider style
  - Align titlebars text in center
  + Add appearance setting for background of flat scrollbar
    buttons.
  + Add HCY colour space.
  + Use tint and mix color routines from KDE4's KColorUtils.
  + Remove QtCurve's 'inactiveHighlight' option, and use KDE4s
    setting instead.
  + Add option to specify appearance setting of filler part of
    sliders.
  + Increase number of custom gradients - now matches number of
    gradient config items.
  + When using glow style mouse over, use mouse over colour for
    arrows.
  + Option to use a thinner groove for scrollbars (only when using
    flat, or no, buttons).
  + Option to only color sliders on mouse over.
  + Option to round all tabs.
  + Better tab highlighting.
  + Don't max/extra round progressbars.
  + Use faded lines for tab and listview header mouse-over.
  + Create icon-mapping file in a more robust manner.
  + Set "gtk-icon-theme-name" to user's theme (or the KDE default
    if not set), and set "gtk-fallback-icon-theme" to "highcolor".
  + Fix spin widget entry highlighting under Gtk 2.16
  + Don't round rulers.
  + Fix faded menuitems when not rounding.
  + Fix alternate listview colours when running under KDE3
    (KDE_SESSION_VERSION=3)
  + Make buttons slightly thinner, matches KDE4 better.
  + Fix setting of KDE icons when QtCurve is configured by just
    having gtk-theme-name="QtCurve" in the gtkrc file.
  + Fix painting of scrollbar slider ends when sliders are shaded,
    and scrollbar buttons are not flat.
  + When not using highlight colour for menus, get OpenOffice to
    use the correct colour for selected menubar items.
  + Fix setting of custom shades, and gradients, when reading
    system config file.
  + Dont crash when /etc/qtcurvestylerc is only readable by root!
  + Use tooltip text color to draw its border, as per KDE4.
  + Dont draw border around rulers.
* Sun Apr 12 2009 mboman@suse.de
- Update to version 0.62.8:
  + Treat 'abrowser' as Firefox.
  + Disable tab-mouse over for all tabs that are of the type
    GtkNoteBook.GtkFixed.GtkWindow (this is mainly for Mozilla and
    OO.o widgets)
  + Fix OK/Cancel buttons for all Firefox3 dialogs.
  + Removed QTC_MODIFY_MOZILLA_USER_JS cmake option, this is now
    set via the QTC_MODIFY_MOZILLA option - as the KDE button order
    is affected by the instantApply setting
  + Draw Mozilla's scrolled windows square - as it seems to assume
    they are
  + When determinging lower etch colour, ignore GtkBox widgets when
    looking up parent tree
  + Set menu and toolbar fonts
  + Dont darken disabled splitter
* Mon Apr  6 2009 vuntz@novell.com
- Update to version 0.62.7:
  + For right-to-left progressbars, make animation go
    right-to-left.
  + Detect seamonkey as a Mozilla app.
  + Try to determine if a Mozilla app is new, or not, by calling
    <app> --version
  + Fix OO.o scrollbars when using flat scrollbar buttons.
  + Improve Mozilla and OO.o spin widgets.
  + Fix OO.o comboboxes.
  + Shrink (by 2 pixels) size of Firefox toolbars - but only if
    '-DQTC_MODIFY_MOZILLA=true' is passed to cmake.
  + Fix KDE button order in FireFox 3 dialogs - but only if
    '-DQTC_MODIFY_MOZILLA=true' is passed to cmake.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 0.62.6:
  + Alter meunbar item widths slightly to make more consistent with
    KDE4.
  + If QTC_NEW_MOZILLA is not set, don't allow faded menuitems for
    thunderbird.
  + Make file chooser's pathbar buttons more KDE4 like.
  + Improve entry focus highlight when round>full.
  + Don't use max round for close buttons on GEdit's tabs.
* Mon Mar 23 2009 vuntz@novell.com
- Update to version 0.62.5:
  + Use gradient for filled slider - unless appearance is
    flat/raised.
  + Slightly alter listview header size.
  + Fix white-on-white text of disabled listviews - noticable in
    synaptic.
  + If a toolbar is disabled, so should the handle be.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 0.62.4:
  + When drawing filled slider groove, use fill colour for border
    as well.
  + Better positioning of V arrows on secondary scrollbar buttons.
  + Improve appearance of GtkCombo edit field.
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 0.62.3:
  + Fix setting of custom non-default icon themes.
  + When creating icon map, check for icons in non-default style
    first, and then check default.
  + Improve appearance GtkCombo poup menu.
  + When menubars have a border, adjust the menubar items
    accordingly.
  + When filling the used part of a slider groove, use the slider
    colour if set, otherwise use the highlight colour.
* Sat Mar 14 2009 vuntz@novell.com
- Update to version 0.62.2:
  + Improve appearance of progressbars in listviews
  + Call kde-config (KDE3) / kde4-config (KDE4) to determine
    location of system icons for creating icon map.
- Changes from version 0.62.1:
  + Use highlight colour for unselected focused view items.
  + Fix saving/reading of custom shades.
  + Fix reading of boolean values from kdeglobals.
  + Fix some slight tab drawing glitches.
  + Stop disabled menuitems from using custom menu text colour
    if custom colours have been set.
* Wed Mar 11 2009 vuntz@novell.com
- Update to version 0.62.0:
  + Reduce gradient code complexity - makes predefined gradients
    work in the same vein as custom gradients.
  + Add scrollbar/slider groove and 'sunken' appearance options.
  + Added new soft and harsh gradients.
  + Change defaults style for many things.
  + Allow all bar flat and raised tabs to bol coloured.
  + Only save appearance settings if different from default.
  + If a gradient does not define the values for positions 0 and
    100, then add these.
  + Better colouring of selected tab.
  + Added new focus options - full and line.
  + Add new round options - extra and max.
  + Don't etch disabled items.
  + Use text colour for focus indicator in tree/list/etc views.
  + When specifying custom gradients, add the pssibility to have no
    internal border - options are now none, light, 3d
  + Only apply plastik style mouse-over scrollbars and sliders when
    plastik is set as the mouse-over style.
  + Only draw 1 arrow on Gtk combos.
  + Under KDE4, read palette, and font, from kdeglobals.
  + Fix Firefox issues with scrollbar slider when using flat
    scrolbar buttons.
  + Call kde-config (KDE3) / kde4-config (KDE4) to determine
    location of user's kde folder.
- Drop return-fix.patch: it's actually not needed anymore.
- Do not uselessly define CFLAGS and friends to the default value.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 0.61.5:
  + Fix crash when drawing focus - occurs when using alt-tab in
    xfwm4
- Changes from version 0.61.4:
  + Make squared scrollview appearance consistent when round is set
    to none.
  + Fix missing pixels in squred progressbars with inverted
    gradient.
  + Fix Firefox/OO.o menu text when useHighlightForMenu is set to
    false.
  + Use faded lines for combo separator.
* Thu Feb 26 2009 vuntz@novell.com
- Update to version 0.61.3:
  + Allow QtCurve's colours to be overriden if the style name
    starts with the application name. Fixes Pidgin's tab labels.
- Changes from version 0.61.2:
  + Fix setting of options if no qtcurvestylerc is found!
  + Allow QtCurve's colours to be overriden - but only if stylename
    is empty. Fixes SooperLooperGUI's background.
  + Fix border of tabs.
  + If KDE_SESSION_VERSION is not set, but KDE_FULL_SESSION is,
    then use KDE/Qt3 settings.
* Sun Feb 22 2009 vuntz@novell.com
- Drop qtcurve-gtk2-iconeffects.diff: I talked to upstream, and
  it's included upstream since 0.59.5 (but with other function
  names).
* Sat Feb 21 2009 vuntz@novell.com
- Update to version 0.61.1:
  + Fix setting of default style.
  + Fix position of dark part of sunken lines.
  + Read in custom gradients and shades from any system config
    file.
- Changes from version 0.61:
  + Only draw coloured border for moused-over items if they are
    enabled!
  + Fix slight redraw errors with scrolbar slider when using flat
    buttons.
  + Add option to draw line after frameless groupbox title.
  + Add option to use faded lines (toolbar separators, menutitem
    separators, etc.)
  + Fix mis-painted pixels on selected tab.
  + Custom gradient fix where "," is used for decimal.
  + Default to reading KDE4 settings if KDE_SESSION_VERSION is not
    set.
  + Fix reading in of Qt4 tooltip colours.
  + Don't allow QtCurve's colours to be overriden.
  + Make 'filled focus' fill the complete widget for buttons and
    combos.
  + Use button text colour for combo boxes.
  + Add 'none' to toolbar handles and splitters style.
  + Fix reading of KDE4 toolbar style.
  + Change defaults:
    Button effect: Shadow
    Mouse over: Glow
    Default button indicator: Glow
    V arrows
    Flat toolbars
    Filled focus
    Gradient selection
    Flat scrollbar buttons
    No combo line
    Sunken toolbar handles
    Only lighten popupmenus by 2%%
    Flat active tab
    Don't shade sliders
    Don't darken menubars
    Use darkened background for progressbars
  + Enable shadow, etch, and 'glow' effects for squared and slight
    rounded appearance.
  + Allow to darken popup menu background.
- Drop fixme.diff: fixed upstream.
- Update return-fix.patch: part of it was fixed upstream.
- Add kdelibs4-core to BuildRequires, so we can detect the right
  paths for KDE4.
* Thu Jan 22 2009 vuntz@novell.com
- Clean up spec file.
* Wed Dec 31 2008 mboman@suse.de
- Update to version 0.60.0:
  + Fix "trough-lower" and "tough-upper" style slider troughs.
  + Fix reading of listview colours under KDE4.
  + If appearance is rounded, round view selections.
  + New focus rect options - standard, highlight, background, filled.
  + Add the ability to specify popup menu light factor.
  + Put more space between arrows on combos if using V arrows.
  + Add option to use darkened background colour for menuitem selection.
  + Add 'fade' to menuitem appearance.
  + Option to have flat scrollbar buttons.
  + New slider styles - plain rotated, and round rotated.
  + Fix crash if QTC_STYLE is set, but is empty.
  + Alter the way the light part of etchibng is drawn - should help with
    darker color schemes.
  + Draw border around filled progress.
  + Fix light spinbuttons on dark background.
  + Option to have button-like checks/radios.
  + Draw square border for for frames that pass no detail and no widget to
    gtkDrawShadow.
  + Use base for light part of lineedit border, and background for scrollview.
  + Default to treating Firefox as firefox>2.0
  + Draw statusbar frames, if enabled.
  + Nicer 'V' arrows.
  + Round internal corners of plain colored mouse over effect.
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Sun Oct 19 2008 mboman@suse.de
- Update to version 0.59.7:
  + Read tooltip colours from qt config file.
  + Improve appearance of SWT scrollbars.
  + Fix colour of tri-state checkboxes.
  + Draw disabled icons desaturated - more KDE like.
  + 'Fix' pixelation of firefox dialog icons. They look
    slightly blurry, due to being scaled, but this is nicer
    than the previous pixelated icons.
  + Removed KDE event filter (QTC_ADD_EVENT_FILTER cmake option)
  - causes way too many errors.
  + Fix reading in of lightBorder for custom gradients.
  + Icon path fix by Ilya Paramonov.
* Fri May 23 2008 jpr@suse.de
- Update to 0.59.3
  * Also check in share/kde4/apps/kstyle/themes for qtc_*.themerc files.
  * Fix evolution calendar crash. (bnc #390346)
  * Fix evolution listview headers.
  * Slightly better check/radio positioning.
  * Fix appearance of shiny glass defult buttons.
  * Give glass default buttons a light border.
  * New cmake option DQTC_NEW_MOZILLA=true
  * Fix crash
- Remove buffer-overflow-fix.diff, it was upstreamed
* Tue May  6 2008 aj@suse.de
- Fix missing return value.
* Fri Apr 25 2008 dmueller@suse.de
- fix stack buffer overflow
* Thu Apr 24 2008 stbinner@suse.de
- update to 0.59:
  * new options (fill progress groove, glow-like mouse hover, ...)
  * better etching/shadowing - now the sides are also affected
  * 'border menuitems' only applied to pop-up menus
  * if lightening popup menus, and not bordering menuitems, then
    remove 1 pix border arund popup menus.
  * better detection of Firefox
  * re-arranged config GUI
* Thu Apr 17 2008 dmueller@suse.de
- add patch from Raymond Plannthold to fix disabled
  icon rendering (bnc#379515)
* Mon Apr 14 2008 stbinner@suse.de
- update to 0.58:
  * style drawing fixes for Pidgin, OOo and Firefox 3
  * several other new options and fixes, see ChangeLog
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Sun Jan 27 2008 stbinner@suse.de
- update to 0.55.2:
  * Style Gtk2.12 tooltips
  * Improve look of several elements for Firefox 3
  * Fix KDE4 icon mapping to match KDE4.0
  * Fixed reading of Qt4 font.
* Mon Oct 22 2007 stbinner@suse.de
- update to 0.55:
  * ability to create custom themes, for details see README
  * bugfixes and new style options
* Tue Oct  2 2007 stbinner@suse.de
- update to 0.54.1:
  * Converted buildsystem to CMake
  * many bugfixes and "nicer look" changes
* Mon Jul 16 2007 stbinner@suse.de
- update to 0.52.3: several style drawing fixes, see ChangeLog
* Sun Jun 24 2007 stbinner@suse.de
- update to 0.52.1: several style drawing fixes, see ChangeLog
* Mon Jun 11 2007 stbinner@suse.de
- update to 0.51:
  - Changed shading to use HSL colour space. This can be altered
    by editing $XDG_CONFIG_HOME/qtcurvestylerc and setting 'shading=
    simple' for the previous method, or 'shading=hsv' to use HSV.
  - Add options: Border all of menu/toolbars, Darker borders, 'V' arrows.
  - Fix raised listview headers.
  - Fix glass style menuitem appearance.
  - Modifed look of dullglass, looks "softer"
  - Improve look of plastik mouse-over for non coloured scrollbars.
  - For disabled buttons, use standard fill but lighten border.
  - Use darker colours for mouse-over and default button - helps
    with light colour schemes.
  - Dont draw sunken panel around checked menuitems.
  - If the app is a Java app, and its g_get_application_name()!=
    "unknown", then assume its a SWT java app - in which case treat
    as a standard app. For Swing apps some functionality is disabled.
  - Fix tabs in thunderbird.
* Fri May 25 2007 stbinner@suse.de
- update to 0.50:
  - Add settings for: Fill used slider, Round menubar item top only,
    Menuitem appearance, Border menuitems, Progressbar appearance,
    Gradient progressbar groove, Check/radio colour, Plastik mouse-over
  - Dont colour menubar items on mouse over if not colouring menubars.
  - When drawing menubar borders, only draw bottom line.
  - When drawing toolbar borders, only draw top/bottom or left/right
    depending upon orientation.
  - Draw checks/radios within listviews the same as standard.
  - If run under KDE4, then draw checks in menus same as standard checks.
  - Move upper spin button down 1 pixel.
  - Default to KDE3/Qt3 settings when not run under KDE.
  - Improve (slightly) appearance of java apps.
* Tue May 15 2007 stbinner@suse.de
- update to 0.49:
  - Add settings for Tab, Listview and Slider appearance
  - If KDE_SESSION_VERSION is set to >=4, then read settings from
    $XDG_CONFIG_HOME/TrollTech.conf
  - Lighten focus rectangle.
  - Fixed tab shift for GTK 2.10.11.
  - When run under KDE4, allow radio buttons in menus.
  - Add /usr/share/icons into icon search path
* Wed May  2 2007 stbinner@suse.de
- update to 0.48.5:
  - Fix slight slider drawing errors.
  - Set cursor colours.
* Thu Apr  5 2007 stbinner@suse.de
- update to 0.48.4:
  - Make light border consistent with KDE
* Fri Mar 30 2007 stbinner@suse.de
- update to 0.48.3:
  - Fix focus rectangles when not fully rounded.
* Fri Mar 23 2007 stbinner@suse.de
- update to 0.48.2:
  1. Modified the glass variants. Dull is a bit 'duller' in the
    top 1/2, and fades away at the bottom. Shiny is now more like
    dull, but with more pronounced gradients.
  2. Fix borders of selected menubar item when colouring menubar.
  3. Only darken menubar colour when using selected backgound
    colour, if using glass gradients.
* Mon Mar 19 2007 stbinner@suse.de
- update to 0.48.1:
  1. Draw light border around all of progressbar.
  2. Fix look of vertical progressbars.
  3. Work-around for SWT combos.
* Fri Mar 16 2007 stbinner@suse.de
- update to 0.48:
  1. Fix coloured mouse over for glass styles.
  2. Re-introduce the following options:
    Roundedness
    List view lines
    Striped progress bars
    Drawing of statusbar frames
  3. Draw light border around progressbar elements
    when not in flat/raised/inverted mode.
  4. Oval shaped sliders when fully round, otherwise rectangular
  5. Proper ythickness settings for frames.
  6. By default do not alter user's userChrome.css file. This now
    has to be explicitly enabled via --enable-mozilla-mods
    ./configure option.
* Mon Mar 12 2007 stbinner@suse.de
- update to 0.47:
  * 1. Always draw light border around glass elements.
  * 2. Removed the following config options:
    Custom light border colour
    Fill used slider groove - always filled.
    Stripped progress - always striped
    V Arrows
    Check/radio background highlight
    Round menubar item top only
    Draw statusbar frames - never drawn.
    Highlight selected text fields - always.
    Standard highlight for inactive windows - always
    Listview lines are either on/off, not off/dotted/solid
    Scrollbars and sliders share same config options
    Check radio colour setting - always text colour
    Border/round menubar/items - always rounded/bordered.
    Roundedness - always rounded.
    Listview settings - always arrows, no lines, and header
    follows general appearance.
    Tab appearance - set from general appearace.
  3. Changed appearance of check/radios - now filled with base colour.
  4. Etch look for button, combos, line edits, and spin boxes.
  5. Fill check/radio background on mouse over.
  6. Remove --enable-old-shading
  7. Modify shade settings so that what was "Shade selected" becomes
    "Shade blended selected", and add a new "Shade selected" that just
    uses the selected background colour without blending.
  8. Round slider thumbs.
  9. Option to draw a shadow underneath buttons.
  10. Draw a rounded gray rectangle for focus - option to set this to
    windows-like focus.
  11. Fix qtcExit()->qtExit() when compiled with event filter.
  12. Dont do check/radio mouse over for mozilla apps - doesn't work very well.
* Fri Feb  2 2007 stbinner@suse.de
- update to 0.46.4:
  * Only draw gradients if width>0 && height>0
* Fri Jan 19 2007 stbinner@suse.de
- update to 0.46.3:
  * Fix look of flat/raised style menuitems and progressbars
  * Use pkg-config to obtain Gtk2 libdir.
* Mon Jan  8 2007 stbinner@suse.de
- adapt to new GNOME prefix in Factory
* Mon Dec 18 2006 stbinner@suse.de
- update to 0.46.2:
  * Remove rgb2Hls() and hls2Rgb() unless using old style shading.
  * Use fileno() to obtain file descriptor of FILE * stream.
  * Fix look of slider grooves for 'flat' appearance.
  * Fix appearance of checkboxes for 'bevelled' appearance.
  update to 0.46.1:
  * Fix location of arrows on secondary scrollbar buttons.
  * New shading routine - works *much* better with dark colour schemes
  update to 0.46:
  * Allow negative highlight factors.
  * Allow usage of light borders on menuitems and progressbars, as well
    as a custom colour setting.
  * Dont fill in slider grooves of disabled sliders.
  * Use encrypted.png for gtk-dialog-authentication if password.png is
    not found.
* Wed Nov 29 2006 wstephenson@suse.de
- Fix mozilla crash when loading user defined Chrome on x86_64.
* Mon Nov 27 2006 wstephenson@suse.de
- Fix crashes when leaving menubar on x86_64 machines (#223674)
* Fri Nov 24 2006 stbinner@suse.de
- remove unnecessary .la file (#223541)
* Fri Nov 24 2006 stbinner@suse.de
- use RMP_OPT_FLAGS (#223539)
* Tue Nov 21 2006 dmueller@suse.de
- fix gtk-window-decorator crash (#220205)
* Mon Nov 20 2006 stbinner@suse.de
- readd BuildRequires: kdelibs for icon mapping creation (#221238)
* Tue Nov  7 2006 stbinner@suse.de
- fix missing return value statement (#218500)
- update to 0.45.3:
  * When determinging background of popup menu for AA'ing, use
    shade window colour, not button.
  * Fix for "-1" warnings reported by some users.
* Mon Nov  6 2006 stbinner@suse.de
- update to 0.45.2:
  * Fix coloured menubars.
  * Fix firefox 2's "stack smashing detected" errors.
  * Remove ok/Cancel button swapping from QtCurve.css
* Thu Nov  2 2006 stbinner@suse.de
- fix Firefox warning about dropped declaration (#216088)
- update to 0.45.1:
  * restore pre 0.45 inactive window highlight. Option is still
    there to re-activate.
  * use listview header settings for listview headers!
- update to 0.45:
  * option to control whether highlighted items should use
    the highlight color in inactive windows.
  * option to control whether menubars should be shaded in
    inactive windows.
  * fix non-bevelling of toggle buttons.
  * fix corners of menubar items when in glass mode with coloured
    menubars.
  * use square frames for status bar elements (when drawn) as per
    KDE.
* Fri Oct 27 2006 ro@suse.de
- fix lib64 issue
* Fri Oct 20 2006 stbinner@suse.de
- update to 0.44.3:
  * Dont colour sliders when disabled/maxed-out.
  * When drawing light slider border, draw around all 4 sides.
  * Fix Firefox 2.x toolbar buttons.
  * Evolution fix
* Sun Oct 15 2006 stbinner@suse.de
- update to 0.44.2:
  * Restore 0.43 scrollbar trough shade.
* Thu Oct 12 2006 stbinner@suse.de
- reduce build requires
- recommend qtcurve-kde
- update to 0.44.1:
  * fix appearance of filled sliders
  * improve right-to-left support
  * fix OO.o crash - disable it from using scrollbar styles next
    and none
  * fix missing frames when not rounded
  * disable toolbar handle mouse-over, not working very well
  * fix weird looking eclipse toolbars
* Tue Oct 10 2006 stbinner@suse.de
- update to 0.44:
  * fix popup menu borders when not using lighter background
  * fix OO.o drawing bugs
  * fix GIMP 2.3 notebook crash
* Wed Sep 27 2006 stbinner@suse.de
- update to 0.43.2
* Sat Sep  9 2006 stbinner@suse.de
- update to 0.42.2
* Fri Sep  1 2006 stbinner@suse.de
- initial package of version 0.42.1
